Debian Bug report logs - #421019
linux-image-2.6.20-1-686: USB scanner works with 2.6.18-4 but fails with 2.6.20-1

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Stuart Pook <debian47@stuart.es>

Date: Wed, 25 Apr 2007 20:39:01 UTC

Severity: normal

Fixed in version 2.6.24-1

Done: maximilian attems <max@stro.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#421019; Package linux-image-2.6.20-1-686. Full text and rfc822 format available.

Acknowledgement sent to Stuart Pook <debian47@stuart.es>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stuart Pook <debian47@stuart.es>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.20-1-686: USB scanner works with 2.6.18-4 but fails with 2.6.20-1
Date: Wed, 25 Apr 2007 22:36:20 +0200
Package: linux-image-2.6.20-1-686
Version: 2.6.20-2
Severity: normal


My Canon USB scanner has been working fine for ages but does not work
with linux-image-2.6.20-1-686. xsane detects the scanner and when asked
to scan thinks that the scanner is working however the scanner does not
react and xsane retrieves a black image. I have checked using 2.6.18-4-686
that the scanner is working correctly.

lsusb says that my scanner is a:
04a9:220d Canon, Inc. CanoScan N670U/N676U/LiDE 20

I am using xsane 0.99+0.991-2, xsane-common 0.99+0.991-2, libsane
1.0.18-6

My scanner is connected to a USB2 PCI card via a USB1.1 powered hub.

-- Package-specific info:
** Version: Linux version 2.6.20-1-686 (Debian 2.6.20-2) (waldi@debian.org) (gcc version 4.1.2 20061115 (prerelease) (Debian 4.1.1-21)) #1 SMP Sun Apr 15 21:03:57 UTC 2007

** Not tainted

** Kernel log:
hub 5-0:1.0: USB hub found
hub 5-0:1.0: 2 ports detected
ne2k-pci.c:v1.03 9/22/2003 D. Becker/P. Gortmaker
  http://www.scyld.com/network/ne2k-pci.html
piix4_smbus 0000:00:07.3: Found 0000:00:07.3 device
PIIX4: IDE controller at PCI slot 0000:00:07.1
PIIX4: chipset revision 1
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xf000-0xf007, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xf008-0xf00f, BIOS settings: hdc:DMA, hdd:DMA
Probing IDE interface ide0...
usb 5-1: new full speed USB device using uhci_hcd and address 2
usb 5-1: not running at top speed; connect to a high speed hub
usb 5-1: configuration #1 chosen from 1 choice
hub 5-1:1.0: USB hub found
hub 5-1:1.0: 4 ports detected
hda: SAMSUNG SV0432A, ATA DISK drive
usb 5-2: new full speed USB device using uhci_hcd and address 3
usb 5-2: configuration #1 chosen from 1 choice
hdb: LITE-ON DVDRW SOHW-1693S, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hda: max request size: 128KiB
hda: 8421840 sectors (4311 MB) w/482KiB Cache, CHS=8912/15/63, UDMA(33)
 hda: hda1 hda2 hda3
Probing IDE interface ide1...
usb 5-1.2: new low speed USB device using uhci_hcd and address 4
usb 5-1.2: configuration #1 chosen from 1 choice
input: USB Keyboard USB Keyboard as /class/input/input1
hdc: ASUS CD-S520/A, ATAPI CD/DVD-ROM drive
Bluetooth: Core ver 2.11
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: HCI USB driver ver 2.9
hdd: SAMSUNG CD-R/RW SW-216B Q001 20010913, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
ACPI: PCI Interrupt 0000:00:11.0[A] -> Link [LNKD] -> GSI 11 (level, low) -> IRQ 11
eth1: RealTek RTL-8029 found at 0xec00, IRQ 11, 00:40:05:E2:EA:E9.
hdb: ATAPI 48X DVD-ROM DVD-R CD-R/RW drive, 2048kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
hdc: ATAPI 52X CD-ROM drive, 128kB Cache, UDMA(33)
hdd: ATAPI 32X CD-ROM CD-R/RW drive, 2048kB Cache, DMA
drivers/usb/input/hid-core.c: usb_submit_urb(ctrl) failed
drivers/usb/input/hid-core.c: timeout initializing reports
input: USB Keyboard USB Keyboard as /class/input/input2
input: USB HID v1.10 Device [USB Keyboard USB Keyboard] on usb-0000:00:07.2-1.2
usb 5-1.4: new low speed USB device using uhci_hcd and address 5
usb 5-1.4: configuration #1 chosen from 1 choice
input: Microsoft Microsoft 3-Button Mouse with IntelliEye(TM) as /class/input/input3
input: USB HID v1.10 Mouse [Microsoft Microsoft 3-Button Mouse with IntelliEye(TM)] on usb-0000:00:07.2-1.4
usbcore: registered new interface driver snd-usb-audio
usbcore: registered new interface driver hci_usb
device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
spurious 8259A interrupt: IRQ7.
ReiserFS: dm-1: found reiserfs format "3.6" with standard journal
ReiserFS: dm-1: using ordered data mode
ReiserFS: dm-1: journal params: device dm-1, size 8192, journal first block 18, max trans len 1024, max batch 900, max commit age 30, max trans age 30
ReiserFS: dm-1: checking transaction log (dm-1)
ReiserFS: dm-1: Using r5 hash to sort names
ReiserFS: dm-0: found reiserfs format "3.6" with standard journal
ReiserFS: dm-0: using ordered data mode
ReiserFS: dm-0: journal params: device dm-0, size 8192, journal first block 18, max trans len 1024, max batch 900, max commit age 30, max trans age 30
ReiserFS: dm-0: checking transaction log (dm-0)
ReiserFS: dm-0: Using r5 hash to sort names
ReiserFS: dm-3: found reiserfs format "3.6" with standard journal
ReiserFS: dm-3: using ordered data mode
ReiserFS: dm-3: journal params: device dm-3, size 8192, journal first block 18, max trans len 1024, max batch 900, max commit age 30, max trans age 30
ReiserFS: dm-3: checking transaction log (dm-3)
ReiserFS: dm-3: Using r5 hash to sort names
Adding 385520k swap on /dev/hde1.  Priority:10 extents:1 across:385520k
Adding 3387384k swap on /dev/mapper/vg0-swap1.  Priority:10 extents:1 across:3387384k
ip_tables: (C) 2000-2006 Netfilter Core Team
Netfilter messages via NETLINK v0.30.
nf_conntrack version 0.5.0 (3071 buckets, 24568 max)
eth0: DSPCFG accepted after 0 usec.
eth0: link up.
eth0: Setting full-duplex based on negotiated link capability.
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
Bluetooth: L2CAP ver 2.8
Bluetooth: L2CAP socket layer initialized
[drm] Initialized drm 1.1.0 20060810
ACPI: PCI Interrupt 0000:01:00.0[A] -> Link [LNKA] -> GSI 12 (level, low) -> IRQ 12
[drm] Initialized radeon 1.25.0 20060524 on minor 0
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
Bluetooth: RFCOMM ver 1.8
eth0: no IPv6 routers present
eth1: no IPv6 routers present
agpgart: Found an AGP 1.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V2 device at 0000:00:00.0 into 1x mode
agpgart: Putting AGP V2 device at 0000:01:00.0 into 1x mode
[drm] Setting GART location based on new memory map
[drm] Loading R200 Microcode
[drm] writeback test succeeded in 1 usecs

** Loaded modules:
Module                  Size  Used by
rfcomm                 35512  3 
radeon                111072  2 
drm                    73972  3 radeon
l2cap                  22208  5 rfcomm
ipv6                  234016  24 
ipt_MASQUERADE          3744  1 
ipt_LOG                 6304  1 
xt_length               2048  5 
ipt_REJECT              4544  1 
xt_tcpudp               3232  7 
xt_state                2560  2 
iptable_nat             7332  1 
nf_nat                 17804  2 ipt_MASQUERADE,iptable_nat
nf_conntrack_ipv4      17772  4 iptable_nat
nf_conntrack           58440  5 ipt_MASQUERADE,xt_state,iptable_nat,nf_nat,nf_conntrack_ipv4
nfnetlink               6648  3 nf_nat,nf_conntrack_ipv4,nf_conntrack
iptable_filter          3072  1 
ip_tables              12324  2 iptable_nat,iptable_filter
x_tables               14628  8 ipt_MASQUERADE,ipt_LOG,xt_length,ipt_REJECT,xt_tcpudp,xt_state,iptable_nat,ip_tables
dm_snapshot            16580  0 
dm_mirror              20340  0 
dm_mod                 52812  12 dm_snapshot,dm_mirror
tsdev                   7552  0 
ide_cd                 36672  0 
cdrom                  32960  1 ide_cd
ata_generic             7876  0 
ata_piix               15044  0 
generic                 4932  0 [permanent]
hci_usb                16348  2 
bluetooth              48580  7 rfcomm,l2cap,hci_usb
snd_usb_audio          73344  0 
snd_mixer_oss          15488  0 
snd_pcm                72036  1 snd_usb_audio
snd_page_alloc          9736  1 snd_pcm
snd_usb_lib            15104  1 snd_usb_audio
snd_seq_dummy           3876  0 
snd_seq_oss            29440  0 
snd_seq_midi            8320  0 
ne2k_pci               10720  0 
8390                    9888  1 ne2k_pci
piix                    9540  0 [permanent]
i2c_piix4               8620  0 
uhci_hcd               22160  0 
snd_seq_midi_event      7008  2 snd_seq_oss,snd_seq_midi
floppy                 54468  0 
snd_seq                46320  6 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
snd_timer              20964  2 snd_pcm,snd_seq
i2c_core               20736  1 i2c_piix4
natsemi                26208  0 
pcspkr                  3264  0 
rtc                    12976  0 
intel_agp              22748  1 
agpgart                30504  2 drm,intel_agp
shpchp                 31156  0 
pci_hotplug            29312  1 shpchp
snd_rawmidi            22592  2 snd_usb_lib,snd_seq_midi
snd_seq_device          7756  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq,snd_rawmidi
snd_hwdep               8740  1 snd_usb_audio
snd                    48196  9 snd_usb_audio,snd_mixer_oss,snd_pcm,snd_seq_oss,snd_seq,snd_timer,snd_rawmidi,snd_seq_device,snd_hwdep
soundcore               7616  1 snd
reiserfs              220352  4 
ide_disk               15744  6 
pata_pdc2027x          10692  0 
libata                100052  3 ata_generic,ata_piix,pata_pdc2027x
scsi_mod              133100  1 libata
pdc202xx_new            8352  0 [permanent]
ide_core              114728  5 ide_cd,generic,piix,ide_disk,pdc202xx_new
evdev                   9376  0 
usbhid                 23136  0 
hid                    22784  1 usbhid
usbkbd                  6752  0 
ohci_hcd               19076  0 
ehci_hcd               29132  0 
usbcore               122312  9 hci_usb,snd_usb_audio,snd_usb_lib,uhci_hcd,usbhid,usbkbd,ohci_hcd,ehci_hcd

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX Host bridge [8086:7190] (rev 02)
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
	Latency: 32
	Region 0: Memory at e0000000 (32-bit, prefetchable) [size=64M]
	Capabilities: <access denied>

00:01.0 PCI bridge [0604]: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge [8086:7191] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 64
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: e4000000-e5ffffff
	Prefetchable memory behind bridge: d0000000-dfffffff
	Secondary status: 66MHz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B+

00:07.0 ISA bridge [0601]: Intel Corporation 82371AB/EB/MB PIIX4 ISA [8086:7110] (rev 02)
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0

00:07.1 IDE interface [0101]: Intel Corporation 82371AB/EB/MB PIIX4 IDE [8086:7111] (rev 01) (prog-if 80 [Master])
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 32
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [disabled] [size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [disabled] [size=1]
	Region 4: I/O ports at f000 [size=16]

00:07.2 USB Controller [0c03]: Intel Corporation 82371AB/EB/MB PIIX4 USB [8086:7112] (rev 01) (prog-if 00 [UHCI])
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 32
	Interrupt: pin D routed to IRQ 11
	Region 4: I/O ports at d000 [size=32]

00:07.3 Bridge [0680]: Intel Corporation 82371AB/EB/MB PIIX4 ACPI [8086:7113] (rev 02)
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Interrupt: pin ? routed to IRQ 9

00:09.0 Ethernet controller [0200]: National Semiconductor Corporation DP83815 (MacPhyter) Ethernet Controller [100b:0020]
	Subsystem: Netgear FA311 / FA312 (FA311 with WoL HW) [1385:f311]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (2750ns min, 13000ns max)
	Interrupt: pin A routed to IRQ 11
	Region 0: I/O ports at d400 [size=256]
	Region 1: Memory at e7004000 (32-bit, non-prefetchable) [size=4K]
	[virtual] Expansion ROM at 20000000 [disabled] [size=64K]
	Capabilities: <access denied>

00:0b.0 Mass storage controller [0180]: Promise Technology, Inc. PDC20268 (Ultra100 TX2) [105a:4d68] (rev 02) (prog-if 85)
	Subsystem: Promise Technology, Inc. Ultra100TX2 [105a:4d68]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (1000ns min, 4500ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 5
	Region 0: I/O ports at d800 [size=8]
	Region 1: I/O ports at dc00 [size=4]
	Region 2: I/O ports at e000 [size=8]
	Region 3: I/O ports at e400 [size=4]
	Region 4: I/O ports at e800 [size=16]
	Region 5: Memory at e7000000 (32-bit, non-prefetchable) [size=16K]
	Expansion ROM at 20010000 [size=16K]
	Capabilities: <access denied>

00:0d.0 USB Controller [0c03]: ALi Corporation USB 1.1 Controller [10b9:5237] (rev 03) (prog-if 10 [OHCI])
	Subsystem: ALi Corporation USB 1.1 Controller [10b9:5237]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (20000ns max), Cache Line Size: 32 bytes
	Interrupt: pin B routed to IRQ 5
	Region 0: Memory at e7005000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>

00:0d.1 USB Controller [0c03]: ALi Corporation USB 1.1 Controller [10b9:5237] (rev 03) (prog-if 10 [OHCI])
	Subsystem: ALi Corporation USB 1.1 Controller [10b9:5237]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (20000ns max), Cache Line Size: 32 bytes
	Interrupt: pin C routed to IRQ 11
	Region 0: Memory at e7006000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>

00:0d.2 USB Controller [0c03]: ALi Corporation USB 1.1 Controller [10b9:5237] (rev 03) (prog-if 10 [OHCI])
	Subsystem: ALi Corporation USB 1.1 Controller [10b9:5237]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (20000ns max), Cache Line Size: 32 bytes
	Interrupt: pin D routed to IRQ 12
	Region 0: Memory at e7007000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>

00:0d.3 USB Controller [0c03]: ALi Corporation USB 2.0 Controller [10b9:5239] (rev 01) (prog-if 20 [EHCI])
	Subsystem: ALi Corporation USB 2.0 Controller [10b9:5239]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (20000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at e7008000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>

00:11.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL-8029(AS) [10ec:8029]
	Subsystem: Realtek Semiconductor Co., Ltd. RTL-8029(AS) [10ec:8029]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Interrupt: pin A routed to IRQ 11
	Region 0: I/O ports at ec00 [size=32]

01:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV280 [Radeon 9200 PRO] [1002:5960] (rev 01) (prog-if 00 [VGA])
	Subsystem: C.P. Technology Co. Ltd Unknown device [148c:2094]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (2000ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 12
	Region 0: Memory at d0000000 (32-bit, prefetchable) [size=128M]
	Region 1: I/O ports at c000 [size=256]
	Region 2: Memory at e5000000 (32-bit, non-prefetchable) [size=64K]
	[virtual] Expansion ROM at e4000000 [disabled] [size=128K]
	Capabilities: <access denied>

01:00.1 Display controller [0380]: ATI Technologies Inc RV280 [Radeon 9200 PRO] (Secondary) [1002:5940] (rev 01)
	Subsystem: C.P. Technology Co. Ltd Unknown device [148c:2095]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (2000ns min), Cache Line Size: 32 bytes
	Region 0: Memory at d8000000 (32-bit, prefetchable) [size=128M]
	Region 1: Memory at e5010000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.20-1-686 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.20-1-686 depends on:
ii  module-init-tools             3.3-pre4-2 tools for managing Linux kernel mo
ii  yaird [linux-initramfs-tool]  0.0.12-20  Yet Another mkInitRD

Versions of packages linux-image-2.6.20-1-686 recommends:
ii  libc6-i686                    2.5-2      GNU C Library: Shared libraries [i

-- debconf information:
  linux-image-2.6.20-1-686/postinst/depmod-error-initrd-2.6.20-1-686: false
  linux-image-2.6.20-1-686/postinst/old-initrd-link-2.6.20-1-686: true
  linux-image-2.6.20-1-686/preinst/already-running-this-2.6.20-1-686:
  linux-image-2.6.20-1-686/preinst/failed-to-move-modules-2.6.20-1-686:
  linux-image-2.6.20-1-686/postinst/create-kimage-link-2.6.20-1-686: true
  linux-image-2.6.20-1-686/prerm/removing-running-kernel-2.6.20-1-686: true
  linux-image-2.6.20-1-686/preinst/lilo-has-ramdisk:
  linux-image-2.6.20-1-686/postinst/bootloader-test-error-2.6.20-1-686:
  linux-image-2.6.20-1-686/preinst/initrd-2.6.20-1-686:
  linux-image-2.6.20-1-686/preinst/lilo-initrd-2.6.20-1-686: true
  linux-image-2.6.20-1-686/postinst/old-system-map-link-2.6.20-1-686: true
  linux-image-2.6.20-1-686/prerm/would-invalidate-boot-loader-2.6.20-1-686: true
  linux-image-2.6.20-1-686/preinst/abort-install-2.6.20-1-686:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.20-1-686/preinst/overwriting-modules-2.6.20-1-686: true
  linux-image-2.6.20-1-686/preinst/abort-overwrite-2.6.20-1-686:
  linux-image-2.6.20-1-686/preinst/bootloader-initrd-2.6.20-1-686: true
  linux-image-2.6.20-1-686/postinst/bootloader-error-2.6.20-1-686:
  linux-image-2.6.20-1-686/preinst/elilo-initrd-2.6.20-1-686: true
  linux-image-2.6.20-1-686/postinst/kimage-is-a-directory:
  linux-image-2.6.20-1-686/postinst/depmod-error-2.6.20-1-686: false
  linux-image-2.6.20-1-686/postinst/old-dir-initrd-link-2.6.20-1-686: true



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#421019; Package linux-image-2.6.20-1-686. Full text and rfc822 format available.

Acknowledgement sent to Stuart Pook <debian47@stuart.es>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 421019@bugs.debian.org (full text, mbox):

From: Stuart Pook <debian47@stuart.es>
To: 421019@bugs.debian.org
Subject: scanimage works on 2.6.20-1-686
Date: Thu, 26 Apr 2007 01:12:07 +0200
Libsane bug number 419197 is interesting here as scanimage does in fact 
work even with 2.6.20-1-686. Perhaps the problem is in libsane but 
upgrading libsane to 1.0.19~cvs20070421-1 has not corrected the problem.

% scanimage -L
device `plustek:libusb:004:003' is a Canon CanoScan N670U/N676U/LiDE20 
flatbed scanner

Stuart



Bug reassigned from package `linux-image-2.6.20-1-686' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Wed, 06 Jun 2007 09:48:09 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Stuart Pook <debian47@stuart.es>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 421019-done@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: 421019-done@bugs.debian.org
Subject: Re: linux-image-2.6.20-1-686: USB scanner works with 2.6.18-4 but fails with 2.6.20-1linux-image-2.6.20-1-686: USB scanner works with 2.6.18-4 but fails with 2.6.20-1
Date: Wed, 21 May 2008 20:22:02 +0200
Version: 2.6.24-1

newer linux images have fixed usb host drivers, closing.

-- 
maks




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Jun 2008 07:29:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:04:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.